Bug 221396 - [New Port] print/pdfstitch: Crop and stitch pages from PDF to larger, single-page PDF
Summary: [New Port] print/pdfstitch: Crop and stitch pages from PDF to larger, single-...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://github.com/sur5r/pdfstitch
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-10 18:39 UTC by Stefan Hagen
Modified: 2017-09-02 12:59 UTC (History)
2 users (show)

See Also:


Attachments
pdfstitich svn diff (3.56 KB, patch)
2017-08-10 18:39 UTC, Stefan Hagen
no flags Details | Diff
pdfstitch svn diff (3.43 KB, patch)
2017-08-15 07:30 UTC, Stefan Hagen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Hagen 2017-08-10 18:39:42 UTC
Created attachment 185240 [details]
pdfstitich svn diff

I would be happy to maintain this port in future.

Description:
Pdfstitcher can transform a regular multi-page PDF into a single-page PDF,
which displays the pages in a grid.

While there are other tools that do the same, pdfstitcher focuses on the
following features:
- Crop pages to a certain size
- Adjust the crop position per page

WWW: https://github.com/sur5r/pdfstitch
Comment 1 Richard Gallamore freebsd_committer 2017-08-15 01:26:48 UTC
Hello Stefan, Thank you for your contributions and submitting a new port. There are a few items that need to be addressed before it will be ready for commit.

* New ports should not have PORTREVISION set, portlint should mention this if using the -A flag
* ${INSTALL_DATA} ${WRKSRC}/pdfstitch ${STAGEDIR}${PREFIX}/bin/pdfstitch, this should be using INSTALL_SCRIPT. This will also make the perms set on this file in pkg-plist not needed.
* The LICENSE file is not a document,  please remove this from do-install.
* GH_TAGNAME is not needed, instead add DISTVERSIONPREFIX= v. This will fix that error of not being found. Also because we are adding DISTVERSIONPREFIX, we should use DISTVERSION instead of PORTVERSION.
* ${MKDIR} ${STAGEDIR}${DOCSDIR}, I think this is creating automagically.
Comment 2 Stefan Hagen 2017-08-15 07:30:20 UTC
Created attachment 185430 [details]
pdfstitch svn diff
Comment 3 Stefan Hagen 2017-08-15 07:42:25 UTC
Hi Richard,

thank you for taking the time to look into my port. I learned a lot from your reply. I was able to implement 4 of your 5 suggestions. Diff attached.

Regarding the last suggestion:
  install: /usr/ports/print/pdfstitch/work/stage/usr/local/share/doc/pdfstitch/README: No such file or directory

Unfortunately ${STAGEDIR}${DOCSDIR} is not created automatically, so I left the ${MKDIR} statement in.

portlint is happy now:

$ portlint -AC
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 1 warning found.

You can also find the port on Github, if that's easier to review:

https://github.com/xkpd3/freebsd-ports/tree/master/print/pdfstitch

Thanks,
Stefan
Comment 4 commit-hook freebsd_committer 2017-09-02 12:58:21 UTC
A commit references this bug:

Author: tobik
Date: Sat Sep  2 12:57:21 UTC 2017
New revision: 449135
URL: https://svnweb.freebsd.org/changeset/ports/449135

Log:
  New port: print/pdfstitch

  Pdfstitcher can transform a regular multi-page PDF into a single-page PDF,
  which displays the pages in a grid.

  While there are other tools that do the same, pdfstitcher focuses on the
  following features:
  - Crop pages to a certain size
  - Adjust the crop position per page

  WWW: https://github.com/sur5r/pdfstitch

  PR:		221396
  Submitted by:	Stefan Hagen <ports@textmail.me>
  Reviewed by:	ultima

Changes:
  head/print/Makefile
  head/print/pdfstitch/
  head/print/pdfstitch/Makefile
  head/print/pdfstitch/distinfo
  head/print/pdfstitch/pkg-descr
  head/print/pdfstitch/pkg-plist
Comment 5 Tobias Kortkamp freebsd_committer 2017-09-02 12:59:04 UTC
Committed with addition of USES=perl5 and NO_ARCH=yes.

Thanks!